%define name	zuluCrypt-nokde
%define oname	zuluCrypt
%define	srcname	zulucrypt
%define major 1
%define pluginmajor 1
%define libname %mklibname %name %major
%define libnamedev %mklibname %name -d

Name: 		%{name}
Version: 	5.1.0
Release: 	%mkrel 1
Summary: 	Qt GUI front end to cryptsetup
Summary(de):	Qt GUi für cryptsetup
License:	GPLv2+
Group:		File tools
URL:		http://mhogomchungu.github.io/zuluCrypt/
Source:		%{oname}-%{version}.tar.xz
BuildRoot:	%{_topdir}/%{oname}-%{version}

BuildRequires:	cmake
BuildRequires:	gcc
BuildRequires:	gcc-c++
BuildRequires:	glibc-devel
BuildRequires:	%{_lib}qt4-devel
BuildRequires:	%{_lib}secret-devel
BuildRequires:	%{_lib}blkid-devel
BuildRequires:	%{_lib}tcplay-devel
BuildRequires:	%{_lib}cryptsetup-devel
BuildRequires:	%{_lib}pwquality-devel
Requires:	tc-play
#---------------------------------------
Obsoletes:	lib%{name}2_0_0
Obsoletes:	lib%{name}3_0_0
#---------------------------------------
Conflicts:	zuluCrypt
Conflicts:	%{_lib}zuluCrypt1
Conflicts:	%{_lib}zuluCrypt-devel
#---------------------------------------

%description
%{name} is a front end to cryptsetup.
It makes it easier to use cryptsetup by providing a Qt based GUI and a simpler 
to use cli front end to cryptsetup. It does the same thing truecrypt does but 
without licensing problems or requiring a user to setup sudo for it or presenting 
root's password. This package contains the applications.

%description -l de
%name ist ein Frontend für cryptsetup.
Es macht es einfacher cryptsetup zu nutzen, durch eine Qt basierte Benutzeroberfläche 
und ein einfacher zu nutzende Kommandozeilenschnittstelle. Außerdem kann es die 
selben Dinge wie truecrypt, ohne Lizenzprobleme oder das setup von sudo für die Benutzung 
oder die Eingabe des Administatorpassworts. Dieses Paket enthält das Programm an sich.


%prep
%setup -q -n %{oname}-%{version}

%build
mkdir build
pushd build
# dont replace cmake by macro it breaks the build
cmake -DCMAKE_INSTALL_PREFIX:PATH=/usr -DCMAKE_BUILD_TYPE=Release -DNOKDE=true -DUDEVSUPPORT=true ..
%make
popd


%install
rm -rf %{buildroot}

pushd build
%makeinstall_std
popd

cat > %{buildroot}%{_datadir}/applications/%{oname}.desktop <<EOF
[Desktop Entry]
Comment=Gui wrapper for cryptsetup
Comment[de]=Gui für cryptsetup
Exec=%{oname}-gui
GenericName=Manage encypted volumes
GenericName[de]=Verwalte verschlüsselte Laufwerke
Icon=%{oname}
Name[en_US]=%{oname}
Name=%{oname}
NoDisplay=false
StartupNotify=true
Terminal=false
Type=Application
X-KDE-SubstituteUID=false
Categories=GTK;Qt;X-MandrivaLinux-System-FileTools;
EOF

rm -f %{buildroot}%{_datadir}/applications/zuluMount.desktop
cat > %{buildroot}%{_datadir}/applications/zuluMount.desktop <<EOF
[Desktop Entry]
Comment[de]=Partitionen einbinden
Comment[en_US]=
Comment=
Exec=zuluMount-gui
GenericName[de]=Partitionen einbinden
GenericName[en_US]=Partition mounter
GenericName=Partition mounter
Icon=zuluMount
MimeType=
Name[en_US]=zuluMount
Name=zuluMount
NoDisplay=false
Path=
StartupNotify=true
Terminal=false
TerminalOptions=
Type=Application
X-DBUS-ServiceName=
X-DBUS-StartupType=
X-KDE-SubstituteUID=false
X-KDE-Username=
Categories=GTK;Qt;X-MandrivaLinux-System-FileTools;
EOF

# remove unwanted .la, .a files
find %{buildroot} -name '*.la' -delete
find %{buildroot} -name '*.a' -delete

# remove developement stuff
rm -rf %{buildroot}/%{_includedir}
rm -f %{buildroot}%{_libdir}/lib%{oname}.so
rm -f %{buildroot}%{_libdir}/lib%{oname}-exe.so
rm -f %{buildroot}%{_libdir}/lib%{oname}PluginManager.so
rm -f %{buildroot}%{_libdir}/pkgconfig/lib%{oname}.pc


%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{oname}-%{version}

%files 
%defattr(-,root,root)
%{_bindir}/%{oname}-gui
%{_bindir}/zuluMount-gui
%attr(4755,root,root)%{_bindir}/%{oname}-cli
%attr(4755,root,root)%{_bindir}/zuluMount-cli
%attr(0755,root,root)%{_bindir}/zuluSafe-cli
%{_datadir}/applications/%{oname}.desktop
%{_datadir}/applications/zuluMount.desktop
%{_datadir}/icons/*
%{_datadir}/pixmaps/zulu*.png
%{_mandir}/man1/*
%{_docdir}/%{oname}/%{oname}.pdf
%{_datadir}/%{oname}/translations/%{oname}-gui/*.qm
%{_datadir}/%{oname}/translations/zuluMount-gui/*.qm

%{_libdir}/lib%{oname}.so.%{major}*
%{_libdir}/lib%{oname}-exe.so.%{major}*
%{_libdir}/lib%{oname}PluginManager.so.%{pluginmajor}*
%{_libdir}/%{oname}/gpg
%{_libdir}/%{oname}/hmac
%{_libdir}/%{oname}/keykeyfile
%{_libdir}/%{oname}/luks
%{_libdir}/%{oname}/steghide
%{_libdir}/%{oname}/tomb
%{_libdir}/%{oname}/generic_header
%attr(755, root, root)%{_libdir}/zuluCrypt/keyring
%attr(755, root, root)%{_libdir}/zuluCrypt/keydialog-qt
%attr(755, root, root)%{_libdir}/zuluCrypt/zuluCrypt-testKey


%changelog
* Sat Feb 18 2017 adrianomorselli <adrianomorselli> 5.1.0-1uplos2017
- update
- removed old stuff
